Docker on Linux

2017-02-06 02:02:55 +0000 - Written by Carl Burks

I've pulled my PerniciousPaperPicker repo from GitHub.

I switched back to Linux

Docker compose file


Tip: You can use either a .yml or .yaml extension for this file. They both work.

running docker compose complains...

After changing the extension back to yml. It still complains about version.

After doing some research it appears this is an older version of docker because of Ubuntu 16. I've installed the lastest from pi3 using easy_install3.


sudo gpasswd -a ${USER} docker

puts you in the group for docker so you don't need to sudo